Subject: linux-next: build failure after merge of the sound-asoc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Oct 2014 11:33:14 +1100

Hi all,

After merging the sound-asoc tree, today's linux-next build (x86_64
allmodconfig) failed like this:

sound/soc/codecs/rt5677-spi.o: In function `rt5677_spi_driver_init':
rt5677-spi.c:(.init.text+0x0): multiple definition of `init_module'
sound/soc/codecs/rt5677.o:rt5677.c:(.init.text+0x0): first defined here
sound/soc/codecs/rt5677-spi.o: In function `rt5677_spi_driver_exit':
rt5677-spi.c:(.exit.text+0x0): multiple definition of `cleanup_module'
sound/soc/codecs/rt5677.o:rt5677.c:(.exit.text+0x0): first defined here

Probably caused by commit af48f1d08a54 ("ASoC: rt5677: Support DSP
function for VAD application").

I have used the sound-asoc tree from next-20141020 for today.
-- 
Cheers,
Stephen Rothwell                    [email-masked]